Skip to content

# Reference - Exceptions

## `HasherNotAvailable`

Bases: `PwdlibError`

Error raised when an unavailable hash algorithm was installed.

### `__init__(hasher)`

Parameters:

Name | Type | Description | Default
--- | --- | --- | ---
`hasher` | `str` | The unavailable hash algorithm. | required

## `PwdlibError`

Bases: `Exception`

Base pwdlib error.

### `__init__(message)`

Parameters:

Name | Type | Description | Default
--- | --- | --- | ---
`message` | `str` | The error message. | required

## `UnknownHashError`

Bases: `PwdlibError`

Error raised when the hash can't be identified from the list of provided hashers.

### `__init__(hash)`

Parameters:

Name | Type | Description | Default
--- | --- | --- | ---
`hash` | `str | bytes` | The hash we failed to identify. | required